/*--------------------------------------------------------------------------
 * solveqp.h - definitions/declarations for quadratic programming
 *
 *       (C) Jurgen Doornik 2001
 *
 *--------------------------------------------------------------------------*/

#ifndef SOLVEQP_INCLUDED
#define SOLVEQP_INCLUDED

SolveQP_read(const sFile);
SolveQPS(const sFile, const iVerbose, ...);

SolveQP_chol(const mG, const adDiag);
SolveQP_run(const mG, const vG, const mA, const vB, const mC, const vD, const vLo, const vHi,
	const vDelA, vX, isActive, dTol, const iMaxit, const fGisChol);

SolveQPE(const mG, const vG, const mA, const vB);
SolveQPIF(vX, const mG, const vG, const mA, const vB,
	const vLo, const vHi, eps, tol, maxit);
PreprocessLC(mA, vB, vLo, vHi, const fBoundsOnly);
SolveQP(const mG, const vG, const mA, const vB, const mC, const vD, const vLo, const vHi);

#endif /* SOLVEQP_INCLUDED */
